package com.microservices.pms.pipeline.domain;

import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流水线图形化构建对象 pms_ci_pipeline_graphics
 * 
 * @author wanjia
 * @date 2024-05-23
 */
public class PmsCiPipelineGraphics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 流水线ID */
    @Excel(name = "流水线ID")
    private Long pmsCiPipelineId;

    /** 流水线名称 */
    @Excel(name = "流水线名称")
    private String pipelineName;

    /** 流水线图JSON */
    @Excel(name = "流水线图JSON")
    private String pmsCiPipelineGraphicJson;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPmsCiPipelineId(Long pmsCiPipelineId) 
    {
        this.pmsCiPipelineId = pmsCiPipelineId;
    }

    public Long getPmsCiPipelineId() 
    {
        return pmsCiPipelineId;
    }
    public void setPipelineName(String pipelineName) 
    {
        this.pipelineName = pipelineName;
    }

    public String getPipelineName() 
    {
        return pipelineName;
    }
    public void setPmsCiPipelineGraphicJson(String pmsCiPipelineGraphicJson) 
    {
        this.pmsCiPipelineGraphicJson = pmsCiPipelineGraphicJson;
    }

    public String getPmsCiPipelineGraphicJson() 
    {
        return pmsCiPipelineGraphicJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pmsCiPipelineId", getPmsCiPipelineId())
            .append("pipelineName", getPipelineName())
            .append("pmsCiPipelineGraphicJson", getPmsCiPipelineGraphicJson())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
